clash-prelude-1.8.4: Clash: a functional hardware description language - Prelude library

Copyright | (C) 2019-2024 QBayLogic B.V.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | None
Language | Haskell2010

Clash.Class.BitPack.Internal.TH

Description

Synopsis

- deriveBitPackTuples :: Name -> Name -> Name -> Name -> DecsQ

# Documentation

deriveBitPackTuples Source #

Arguments

:: Name | BitPack
-> Name | BitSize
-> Name | pack
-> Name | unpack
-> DecsQ |

Contruct all the tuple (starting at size 3) instances for BitPack.